> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Methods

> Retrieve list of user payment methods



## OpenAPI

````yaml /openapi.yaml get /api/v1/users/{user_id}/payment-methods/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/users/{user_id}/payment-methods/:
    get:
      tags:
        - Payments
      summary: List Payment Methods
      description: Retrieve list of user payment methods
      operationId: users_payment_methods_list
      parameters:
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: path
          name: user_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedConnectAPIPMList'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    PaginatedConnectAPIPMList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/ConnectAPIPM'
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    ConnectAPIPM:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the payment method given by Stripe
        default:
          type: boolean
          description: Whether this is the default payment method for the user
        type:
          allOf:
            - $ref: '#/components/schemas/ConnectAPIPMTypeEnum'
          description: |-
            Type of the payment method. Example: card

            * `card` - card
            * `apple_pay` - apple_pay
            * `google_pay` - google_pay
        card:
          allOf:
            - $ref: '#/components/schemas/ConnectAPICardPM'
          description: Payment method details
        created_at:
          type: string
          description: Timestamp of when the payment method was attached to the user
      required:
        - card
        - created_at
        - default
        - id
        - type
    ConnectAPIPMTypeEnum:
      enum:
        - card
        - apple_pay
        - google_pay
      type: string
      description: |-
        * `card` - card
        * `apple_pay` - apple_pay
        * `google_pay` - google_pay
    ConnectAPICardPM:
      type: object
      properties:
        brand:
          type: string
          description: 'Card brand. Example: visa'
        last4:
          type: string
          description: Last 4 digits of the card number
        expiration_date:
          type: string
          description: 'Expiration date of the card. Format: MM/YY'
        cardholder_name:
          type: string
          nullable: true
          description: Cardholder name, if present
      required:
        - brand
        - cardholder_name
        - expiration_date
        - last4
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````